Summary: Advanced Power Management (APM) BIOS utilities
Name: apmd-rhcn
Version: 2.4phil
Release: 1
Source: ftp://sod.res.cmu.edu/pub/apmd/apmd-rhcn-2.4phil.tar.gz
Source1: apmd.init
Copyright: GPL
Group: Utilities/System
Requires: chkconfig >= 0.9
Obsoletes: apmd
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
BuildRoot: /var/tmp/apmd-root

%description
This is a Advanced Power Management daemon and utilities.
It can watch your notebook's battery and warn all users when the battery
is low.

I have added an unofficial patch for shutting down the PCMCIA sockets
before a suspend.

2.4phil contains patches for multiple batteries.  See the README for more
information.

%changelog

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>

- enhanced init script

* Thu Apr 1 1998 Erik Troan <ewt@redhat.com>

- moved init script into a separate source file
- added restart and status options to initscript
- made it use a build root
- don't start apm when the package is installed
- don't stop apm when the package is removed

* Mon Dec  8 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
	Compiled on RH5.0 against libc6.
	Renamed /etc/rc.d/init.d/apmd.init to /etc/rc.d/init.d/apmd
	Make /etc/rc.d/init.d/apmd to be chkconfig-compliant.
* Thu Oct  2 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
	Fixed buggy /etc/sysconfig/apmd file generation in the spec file.
	Added a patch for apm.c's option handling.
	Both fixes were submitted by Richard D. McRobers <rdm@csn.net>

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/apmd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/apmd

cat <<'EOF' >$RPM_BUILD_ROOT/etc/sysconfig/apmd
APMD_OPTIONS="-p 10 -w 5 -W"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $0 = 0 ]; then
	/sbin/chkconfig --del apmd
fi

%post
/sbin/chkconfig --add apmd

%files
%doc ANNOUNCE ChangeLog README LSM
/usr/X11R6/bin/xapm
/usr/X11R6/man/man1/xapm.1x
/usr/bin/apm
/usr/bin/tailf
/usr/include/apm.h
/usr/lib/libapm.a
/usr/man/man1/apm.1
/usr/man/man1/tailf.1
/usr/man/man8/apmd.8
/usr/sbin/apmd
%config /etc/rc.d/init.d/apmd
%config /etc/sysconfig/apmd
